﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Docs.Excel;

    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // DON NOT FORGET TO ADD REFERECE TO EXCEL component
        }

        protected void Button3_Click(object sender, EventArgs e)
        {
            // Create the Excel spreadsheet on base of HTML file
            ExcelWorkbook excel = ExcelWorkbook.ReadHTML(new Uri(MapPath("~/") + "Default.aspx"));

            // Display the Excel file
            switch (RadioButtonList1.SelectedValue.ToUpper())
            {
                case "XLS":
                    {
                        Response.AppendHeader("Content-Type", "application/vnd.ms-excel");
                        Response.AppendHeader("Content-Disposition", String.Format("attachment; filename={0}", "report.xls"));
                        Response.BinaryWrite(excel.WriteXLS().ToArray());
                        Response.Flush();
                        Response.End();
                        break;

                    }
                case "XLSX":
                    {
                        Response.AppendHeader("Content-Type", "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");
                        Response.AppendHeader("Content-Disposition", String.Format("attachment; filename={0}", "report.xlsx"));
                        Response.BinaryWrite(excel.WriteXLSX().ToArray());
                        Response.Flush(); Response.End();
                        break;
                    }
                case "CSV":
                    {
                        Response.AppendHeader("Content-Type", "text/comma-separated-values");
                        Response.AppendHeader("Content-Disposition", String.Format("attachment; filename={0}", "report.csv"));
                        Response.BinaryWrite(excel.WriteCSV().ToArray());
                        Response.Flush(); Response.End();
                        break;
                    }
            }
        }

    }
